org.apache.geode

## Interface LogWriter

- Deprecated.

      @Deprecated
      public interface LogWriter

  Defines methods available to clients that want to write a log message to their GemFire distributed system log file.

  Instances of this interface can be obtained by calling `DistributedSystem.getLogWriter()`.

  For any logged message the log file will contain:

  - The message's level.
  - The time the message was logged.
  - The id of the thread that logged the message.
  - The message itself which can be a string and/or an exception including the exception's stack trace.

  A message always has a level. Logging levels are ordered. Enabling logging at a given level also enables logging at higher levels. The higher the level the more important and urgent the message.

  The levels, in descending order, are:

  - `severe` (highest value) is a message level indicating a serious failure. In general `severe` messages should describe events that are of considerable importance and which will prevent normal program execution. They should be reasonably intelligible to end users and to information managers.
  - `error` In general `error` messages should describe events that are of considerable importance but will not prevent normal program execution. They should be reasonably intelligible to end users and to information managers. They are weaker than `severe` and stronger than `warning`.
  - `warning` is a message level indicating a potential problem. In general `warning` messages should describe events that will be of interest to end users or information managers, or which indicate potential problems.
  - `info` is a message level for informational messages. Typically `info` messages should be reasonably significant and should make sense to end users and system administrators.
  - `config` is a message level for static configuration messages. `config` messages are intended to provide a variety of static configuration information, to assist in debugging problems that may be associated with particular configurations.
  - `fine` is a message level providing tracing information. In general the `fine` level should be used for information that will be broadly interesting to developers. This level is for the lowest volume, and most important, tracing messages.
  - `finer` indicates a fairly detailed tracing message. Logging calls for entering, returning, or throwing an exception are traced at the `finer` level.
  - `finest` (lowest value) indicates a highly detailed tracing message. In general the `finest` level should be used for the most voluminous detailed tracing messages.

  For each level methods exist that will request a message, at that level, to be logged. These methods are all named after their level.

  For each level a method exists that returns a boolean indicating if messages at that level will currently be logged. The names of these methods are of the form: level `Enabled`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `config(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `config(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `config(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `configEnabled()` Deprecated. Returns true if "config" log messages are enabled.
    `LogWriterI18n` | `convertToLogWriterI18n()` Deprecated. A mechanism for accessing the abstraction layer used for internationalization.
    `void` | `entering(java.lang.String sourceClass, java.lang.String sourceMethod)` Deprecated. Log a method entry.
    `void` | `error(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `error(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `error(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `errorEnabled()` Deprecated. Returns true if "error" log messages are enabled.
    `void` | `exiting(java.lang.String sourceClass, java.lang.String sourceMethod)` Deprecated. Log a method return.
    `void` | `fine(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `fine(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `fine(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `fineEnabled()` Deprecated. Returns true if "fine" log messages are enabled.
    `void` | `finer(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `finer(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `finer(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `finerEnabled()` Deprecated. Returns true if "finer" log messages are enabled.
    `void` | `finest(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `finest(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `finest(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `finestEnabled()` Deprecated. Returns true if "finest" log messages are enabled.
    `java.util.logging.Handler` | `getHandler()` Deprecated. Returns a 1.4 logging handler that can be used to direct application output to this GemFire logger using the standard JDK logger APIs.
    `void` | `info(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `info(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `info(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `infoEnabled()` Deprecated. Returns true if "info" log messages are enabled.
    `void` | `severe(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `severe(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `severe(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `severeEnabled()` Deprecated. Returns true if "severe" log messages are enabled.
    `void` | `throwing(java.lang.String sourceClass, java.lang.String sourceMethod, java.lang.Throwable thrown)` Deprecated. Log throwing an exception.
    `void` | `warning(java.lang.String msg)` Deprecated. Writes a message to this writer.
    `void` | `warning(java.lang.String msg, java.lang.Throwable ex)` Deprecated. Writes both a message and exception to this writer.
    `void` | `warning(java.lang.Throwable ex)` Deprecated. Writes an exception to this writer.
    `boolean` | `warningEnabled()` Deprecated. Returns true if "warning" log messages are enabled.

- - ### Method Detail

    - #### severeEnabled

          boolean severeEnabled()

      Deprecated.
      Returns true if "severe" log messages are enabled. Returns false if "severe" log messages are disabled.

    - #### severe

          void severe(java.lang.String msg,
                      java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "severe".

    - #### severe

          void severe(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "severe".

    - #### severe

          void severe(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "severe".

    - #### errorEnabled

          boolean errorEnabled()

      Deprecated.
      Returns true if "error" log messages are enabled. Returns false if "error" log messages are disabled.

    - #### error

          void error(java.lang.String msg,
                     java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "error".

    - #### error

          void error(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "error".

    - #### error

          void error(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "error".

    - #### warningEnabled

          boolean warningEnabled()

      Deprecated.
      Returns true if "warning" log messages are enabled. Returns false if "warning" log messages are disabled.

    - #### warning

          void warning(java.lang.String msg,
                       java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "warning".

    - #### warning

          void warning(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "warning".

    - #### warning

          void warning(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "warning".

    - #### infoEnabled

          boolean infoEnabled()

      Deprecated.
      Returns true if "info" log messages are enabled. Returns false if "info" log messages are disabled.

    - #### info

          void info(java.lang.String msg,
                    java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "information".

    - #### info

          void info(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "information".

    - #### info

          void info(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "information".

    - #### configEnabled

          boolean configEnabled()

      Deprecated.
      Returns true if "config" log messages are enabled. Returns false if "config" log messages are disabled.

    - #### config

          void config(java.lang.String msg,
                      java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "config".

    - #### config

          void config(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "config".

    - #### config

          void config(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "config".

    - #### fineEnabled

          boolean fineEnabled()

      Deprecated.
      Returns true if "fine" log messages are enabled. Returns false if "fine" log messages are disabled.

    - #### fine

          void fine(java.lang.String msg,
                    java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "fine".

    - #### fine

          void fine(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "fine".

    - #### fine

          void fine(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "fine".

    - #### finerEnabled

          boolean finerEnabled()

      Deprecated.
      Returns true if "finer" log messages are enabled. Returns false if "finer" log messages are disabled.

    - #### finer

          void finer(java.lang.String msg,
                     java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "finer".

    - #### finer

          void finer(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "finer".

    - #### finer

          void finer(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "finer".

    - #### entering

          void entering(java.lang.String sourceClass,
                        java.lang.String sourceMethod)

      Deprecated.
      Log a method entry.

      The logging is done using the `finer` level. The string message will start with `"ENTRY"` and include the class and method names.

      Parameters:
        `sourceClass` - Name of class that issued the logging request.
        `sourceMethod` - Name of the method that issued the logging request.

    - #### exiting

          void exiting(java.lang.String sourceClass,
                       java.lang.String sourceMethod)

      Deprecated.
      Log a method return.

      The logging is done using the `finer` level. The string message will start with `"RETURN"` and include the class and method names.

      Parameters:
        `sourceClass` - Name of class that issued the logging request.
        `sourceMethod` - Name of the method that issued the logging request.

    - #### throwing

          void throwing(java.lang.String sourceClass,
                        java.lang.String sourceMethod,
                        java.lang.Throwable thrown)

      Deprecated.
      Log throwing an exception.

      Use to log that a method is terminating by throwing an exception. The logging is done using the `finer` level.

      This is a convenience method that could be done instead by calling `finer(String, Throwable)`. The string message will start with `"THROW"` and include the class and method names.

      Parameters:
        `sourceClass` - Name of class that issued the logging request.
        `sourceMethod` - Name of the method that issued the logging request.
        `thrown` - The Throwable that is being thrown.

    - #### finestEnabled

          boolean finestEnabled()

      Deprecated.
      Returns true if "finest" log messages are enabled. Returns false if "finest" log messages are disabled.

    - #### finest

          void finest(java.lang.String msg,
                      java.lang.Throwable ex)

      Deprecated.
      Writes both a message and exception to this writer. The message level is "finest".

    - #### finest

          void finest(java.lang.String msg)

      Deprecated.
      Writes a message to this writer. The message level is "finest".

    - #### finest

          void finest(java.lang.Throwable ex)

      Deprecated.
      Writes an exception to this writer. The exception level is "finest".

    - #### getHandler

          java.util.logging.Handler getHandler()

      Deprecated.
      Returns a 1.4 logging handler that can be used to direct application output to this GemFire logger using the standard JDK logger APIs. Each time this method is called it creates a new instance of a Handler so care should be taken to not call this method too often.

    - #### convertToLogWriterI18n

          LogWriterI18n convertToLogWriterI18n()

      Deprecated.
      A mechanism for accessing the abstraction layer used for internationalization.
      Returns:
        LogWriterI18n